oracle.xml.util

## Interface NSName

All Known Subinterfaces:
  NSName

All Known Implementing Classes:
  XMLAttr, XMLDocument, XMLDocumentFragment, XMLElement

    public interface NSName

This interface provides Namespace support for Element and Attr names

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getExpandedName()` Get the fully resolved name for this name, i.e., uri:ncname
`java.lang.String` `getLocalName()` Get the local name for this name
`java.lang.String` `getNamespace()` Get the resolved Namespace for this name
`java.lang.String` `getPrefix()` Get the prefix for this name
`java.lang.String` `getQualifiedName()` Get the qualified name, i.e., prefix:ncname

### Method Detail

#### getQualifiedName

    java.lang.String getQualifiedName()

Get the qualified name, i.e., prefix:ncname

Returns:
  The qualified name, i.e., prefix:ncname

#### getNamespace

    java.lang.String getNamespace()

Get the resolved Namespace for this name

Returns:
  The resolved Namespace

#### getPrefix

    java.lang.String getPrefix()

Get the prefix for this name

Returns:
  The prefix

#### getLocalName

    java.lang.String getLocalName()

Get the local name for this name

Returns:
  The local name

#### getExpandedName

    java.lang.String getExpandedName()

Get the fully resolved name for this name, i.e., uri:ncname

Returns:
  The fully resolved name, i.e., uri:ncname

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.